%
%   This file is a help function of "Sshaper" developed by Anders
%    Blomqvist and Ryozo Nagamune. The theory behind the program is
%    presented in the technical report
%
%     "Sensitivity shaping with degree constraint by nonlinear
%     least-squares optimization"
%
%    (TRITA-MAT xxxxx, KTH, Stockholm, Sweden) and references
%    therin. Any questions can be sent to andersb@math.kth.se
%    and/or ryozo@me.berkeley.edu.
%
function flag = DrawCurrentDR(valuevec)

clc
disp('-------------------------------')
disp('Currently your choices are')
strvec = { ' Domain: ', ' Range:  ' };
for k = 1:length(strvec)
    if isnumeric(valuevec{k})
        disp([strvec{k} num2str(valuevec{k}(:)')])
    else
        disp([strvec{k} valuevec{k}])
    end
end
disp('-------------------------------')
disp(' (1) D : inside the unit disc')
disp(' (2) Dc: outside the unit disc')
disp(' (3) C+: right half-plane')
disp('-------------------------------')
flag = input('Do you want to change your input? (n) ','s');
if strcmp(flag,'n') | isempty(flag)
  flag = 0;
else
  flag = 1;
end