%
%   Help function for the Sensitivity shaping program
%
function chosenoption = DrawMenu(menuname,availoptions,clearflag,default)

if nargin < 3 | isempty(clearflag) | clearflag
  clc
end

if nargin < 4 
  default = length(availoptions);
end

flag = 1;
while flag
  disp('-------------------------------')
  disp(['           '  menuname])
  for k = 1:length(availoptions)
    disp([ int2str(k) '. ' availoptions{k} ])
  end
  disp('-------------------------------')
  val = int8(input(['Enter choice (' num2str(default) '): ']));
  if isempty(val)     
    chosenoption = availoptions{default};
    flag = 0;
  elseif val <= length(availoptions) & val > 0
    chosenoption = availoptions{val};
    flag = 0;
  else
    clc
    disp('-----------------------')
    disp('  Infeasible choice!  ')
    disp('-----------------------')
  end
end