%
%   This function returns an interpolant
%
%              [ A | B ]                 
%       F(z) = [-------] = Cz(I-Az)^-1B + D
%              [ C | D ]                 
%
%   Input: alpha
%          K
%
%   Output: interpolant
%
function interpolant = GetInterpolant(alpha,K)

%
%   Retrieve system
%
sys = tf((K*alpha)',alpha',-1);
%sysw = tf(rho,alpha',-1);
%sys = balreal(sys);
[ A, B, C, D ] = ssdata(sys);
%[ Aw, Bw, Cw, Dw ] = ssdata(sysw);

interpolant.A = A;
interpolant.B = B;
interpolant.C = C;
interpolant.D = D;
% interpolant.Aw = Aw;
% interpolant.Bw = Bw;
% interpolant.Cw = Cw;
% interpolant.Dw = Dw;
interpolant.sysf = sys;
% interpolant.sysw = sysw;