%
%   This file is a help function of "Sshaper" developed by Anders
%    Blomqvist and Ryozo Nagamune. The theory behind the program is
%    presented in the technical report
%
%     "Sensitivity shaping with degree constraint by nonlinear
%     least-squares optimization"
%
%    (TRITA-MAT xxxxx, KTH, Stockholm, Sweden) and references
%    therin. Any questions can be sent to andersb@math.kth.se
%    and/or ryozo@me.berkeley.edu.
%
%   Help function to ExTemplate for giving numerical input at the prompt.
%
function val = NumericalInput(str,default)

if length(default) > 5
  val = input([ str ' ([' num2str(default(1)) '...' ...
		num2str(default(end)) ']) ' ]);
else
  val = input([ str ' ([' num2str(default(:).') ']) ' ]); % Ryozo added '.' before transpose. July 12, 2004.
end

if isempty(val)
  val = default;
end