%
%   Help function to ExTemplate for giving string input at coursor.
%
function val = StringInput(str,default,feasible)

val = input([ str ' (' default  '): ' ],'s');
	
if isempty(val) | strcmp(val,default)
  val = default;
elseif nargin > 3 & isempty(find(strcmp(feasible,val)))
  disp('Unsupported choice')
  val = default;
end
