%
%   This dericvative of the vector of the non-linear
%    equations at the point alpha.
%
function J = GetGradient(interdata,alpha)

%
%   Get K
%
K = GetK(interdata);

%
%   Compute derivative
%
J = GetS(alpha) * K;
for j = 1:length(alpha)
    J = J + alpha(j) * GetS(K(:,j));
end