%
%   This function checks whether a given alpha belongs to the
%    set D of alphas corresponding to positive real functions.
%
%    D = { alpha in R^n+1 : zz^T K alpha != 0, |z| >= 0 }
%
function flag = IsInD(K,alpha)

if max(abs(roots(K*alpha))) < 1
    flag = 1;
else
    flag = 0;
end
